ENVISAT Product Reader API for C |

Functions
API Initialisation

## Functions

int | epr_init_api (EPR_ELogLevel log_level, EPR_FLogHandler log_handler, EPR_FErrHandler err_handler)
| Initializes the ENVISAT product reader API.
void | epr_close_api (void)
| Closes the ENVISAT product reader API by releasing all resources allocated by the API.

## Detailed Description

## Function Documentation

## ◆ epr_init_api()

int epr_init_api | ( | EPR_ELogLevel | log_level,
|  | EPR_FLogHandler | log_handler,
|  | EPR_FErrHandler | err_handler
| ) |  |

Initializes the ENVISAT product reader API.

Parameters

  log_level | the log level. All logging messages with a log level lower than the given one, will be supressed
  log_handler | the log handler function pointer which will be used for logging, can be `NULL`, if logging shall be disabled
  err_handler | the new error handler (function pointer), can be `NULL`, if errors shall not be reported

Returns
  zero for success, an error code otherwise

Author
  Norman Fomferra

## ◆ epr_close_api()

void epr_close_api | ( | void |  | ) |

Closes the ENVISAT product reader API by releasing all resources allocated by the API.

Author
  Norman Fomferra